##nviromental conditions#

enviro_cond_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/enviromental_conditions_24h.csv")
						attach(enviro_cond_dataframe)
						names(enviro_cond_dataframe)
						
temperature_lm<-lm(temperature~ (town/trap)*time)
anova(temperature_lm)
						Analysis of Variance Table

						Response: temperature
						                Df Sum Sq Mean Sq F value    Pr(>F)    
						town             1  387.1  387.12 25.4581 8.145e-07 ***
						time             1  513.6  513.63 33.7782 1.679e-08 ***
						town:trap        2   23.4   11.71  0.7698    0.4641    
						town:time        1    2.6    2.58  0.1700    0.6805    
						town:trap:time   2   10.6    5.30  0.3487    0.7059    
						Residuals      280 4257.7   15.21                      
						---
						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

humidity_lm<-lm(humidity~ (town/trap)*time)
anova(humidity_lm)
						> anova(humidity_lm)
						Analysis of Variance Table
						Response: humidity
						                Df  Sum Sq Mean Sq   F value    Pr(>F)    
						town             1 28304.2 28304.2 2270.7571 < 2.2e-16 ***
						time             1   441.0   441.0   35.3804  8.07e-09 ***
						town:trap        2    90.7    45.4    3.6402  0.027498 *  
						town:time        1   102.8   102.8    8.2457  0.004397 ** 
						town:trap:time   2    36.3    18.1    1.4560  0.234926    
						Residuals      280  3490.1    12.5                        
						---
						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


#per locality

townf<-factor(town)
sandfliesf<-with(subset(enviro_cond_dataframe, town =="ricaurte"),factor(sandflies))
						ricaurte_lm_temp<-with(subset(enviro_cond_dataframe, town =="ricaurte"),lm(temperature~ (sandfliesf)*time))							

												> anova(ricaurte_lm_temp)
												Analysis of Variance Table
												Response: temperature
												                Df  Sum Sq Mean Sq F value    Pr(>F)    
												sandflies        1   44.33  44.333  4.0968   0.04487 *  
												time             1  221.67 221.674 20.4848 1.273e-05 ***
												sandflies:time   1   20.86  20.856  1.9273   0.16726    
												Residuals      140 1514.99  10.821                      
												---
												Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
summary(glht(ricaurte_lm_temp, linfct=mcp(sandfliesf ="Tukey")))

						ricaurte_lm_humidity<-with(subset(enviro_cond_dataframe, town =="ricaurte"),lm(humidity~ (sandflies)*time))							
												> anova(ricaurte_lm_humidity)
												Analysis of Variance Table
												Response: humidity
 												               Df  Sum Sq Mean Sq F value    Pr(>F)    
												sandflies        1 1028.81 1028.81 111.425 < 2.2e-16 ***
												time             1  484.79  484.79  52.505 2.633e-11 ***
												sandflies:time   1  258.04  258.04  27.947 4.680e-07 ***
												Residuals      140 1292.65    9.23                      
												---
												Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


						coloso_lm_temp<-with(subset(enviro_cond_dataframe, town =="coloso"),lm(temperature~ (sandflies)*time))
												> anova(coloso_lm_temp)
												Analysis of Variance Table
												Response: temperature
												                Df  Sum Sq Mean Sq F value   Pr(>F)    
												sandflies        1    2.67   2.668  0.1381 0.710718    
												time             1  294.54 294.541 15.2496 0.000146 ***
												sandflies:time   1    4.78   4.785  0.2477 0.619462    
												Residuals      140 2704.06  19.315                     
												---
												Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
						coloso_lm_humdi<-with(subset(enviro_cond_dataframe, town =="coloso"),lm(humidity~ (sandflies)*time))
												anova(coloso_lm_humdi)

												Response: humidity
												                Df  Sum Sq Mean Sq F value   Pr(>F)   
												sandflies        1    0.69   0.694  0.0950 0.758412   
												time             1   58.99  58.992  8.0674 0.005179 **
												sandflies:time   1   13.22  13.218  1.8076 0.180969   
												Residuals      140 1023.73   7.312                    
												---
												Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

#temperature Preference Lutzomyia

library(nlme)

interspecific_lutz_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/lutz_interspecific.csv")
							attach(interspecific_lutz_dataframe)
							names(interspecific_lutz_dataframe)
							
	interspecies_lutz_lme<-lme(preference ~species*sex,data= interspecific_lutz_dataframe, random=~1| replicate)

					interspecies_lutz_lm<-lm(preference~ species*sex)	
							anova(interspecies_lutz_lm)						

							Analysis of Variance Table
							Response: preference
							           Df Sum Sq Mean Sq F value    Pr(>F)    
							species     1  297.3 297.343  16.929 4.696e-05 ***
							sex         2   25.7  12.839   0.731    0.4821    
							Residuals 408 7166.2  17.564                      
							---
							Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1



					tapply(preference, species, mean)
							     evansi longipalpis 
							   25.92562    24.20000 

					tapply(preference, species, sd)

							     evansi longipalpis 
							     4.289648    4.039157 

#effect of tetracycline
tetracycline_lutz_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/lutz_tetracycline.csv")
							attach(tetracycline_lutz_dataframe)
							names(tetracycline_lutz_dataframe)
							
							tetra_lutz_lm<-lm(temp ~ tetra)	
							anova(tetra_lutz_lm)			

							> 							anova(tetra_lutz_lm)
							Analysis of Variance Table

							Response: temp
							           Df Sum Sq Mean Sq F value  Pr(>F)  
							tetra       1   82.0  82.015  4.7237 0.03041 *
							Residuals 356 6181.1  17.363                  
							---
							Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


							> tapply(temp, tetra, mean)
							    with  without 
							24.94776 23.84444 
							
							> 					tapply(temp, tetra, sd)
							    with  without 
							4.234365 3.957389 
#Humidity Preference
library(multcomp)
humidity_pref_data<-read.csv("~/Dropbox/lutzomyia_temperature_pref/humidity_pref_data.csv")
							attach(humidity_pref_data)
							names(humidity_pref_data)
							
							humidity_pref_lm<-lm(humidity~species*sex)

> speciesf<-factor(species)
> humidity_pref_lm_redux<-lm(humidity~speciesf)
> 							anova(humidity_pref_lm_redux)
Analysis of Variance Table

Response: humidity
           Df Sum Sq Mean Sq F value    Pr(>F)    
speciesf    1  49158   49158  70.494 5.137e-16 ***
Residuals 484 337511     697                      
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

> lsmeans(interspecies_lutz_lme, pairwise~speciesf*sex, adjust="tukey")
$lsmeans
 speciesf    sex    lsmean    SE df lower.CL upper.CL
 evansi      female   25.9 0.541  2     23.6     28.3
 longipalpis female   23.8 0.609  2     21.1     26.4
 evansi      male     25.5 0.629  2     22.8     28.2
 longipalpis male     24.3 0.649  2     21.5     27.0

Degrees-of-freedom method: containment 
Confidence level used: 0.95 

$contrasts
 contrast                              estimate    SE  df t.ratio p.value
 evansi female - longipalpis female       2.168 0.555 406   3.905  0.0006
 evansi female - evansi male              0.453 0.570 406   0.795  0.8567
 evansi female - longipalpis male         1.688 0.592 406   2.850  0.0237
 longipalpis female - evansi male        -1.715 0.635 406  -2.702  0.0361
 longipalpis female - longipalpis male   -0.480 0.655 406  -0.733  0.8840
 evansi male - longipalpis male           1.235 0.638 406   1.935  0.2149

Degrees-of-freedom method: containment 
P value adjustment: tukey method for comparing a family of 4 estimates 

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = humidity ~ speciesf)

Linear Hypotheses:
                          Estimate Std. Error t value Pr(>|t|)    
longipalpis - evansi == 0   -20.65       2.46  -8.396 4.44e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)



#Dessication resistance#

library(multcomp)
library(rms)

survi_des_lutz<-read.csv("~/Dropbox/lutzomyia_temperature_pref/dessication_experiments_lutz.csv")
names(survi_des_lutz)
attach(survi_des_lutz)
survi_des_lutz$SurvObj     <- with(survi_des_lutz, Surv(time_death, dead_alive == 0))
speciesf<-factor(species)
sexf<-factor(sex)

f <- cph(SurvObj ~ speciesf*sexf, data = survi_des_lutz, surv=TRUE)
anova(f)

                Wald Statistics          Response: SurvObj 

 Factor     Chi-Square d.f. P     
 species    17.10      1    <.0001
 sex        17.48      1    <.0001
 TOTAL      47.87      2    <.0001
 
f_redux <- cph(SurvObj ~ speciesf+sexf, data = survi_des_lutz, surv=TRUE)
lrtest(f, f_redux)

f_onlyspecies <- cph(SurvObj ~ speciesf, data = survi_des_lutz, surv=TRUE)
lrtest(f_redux, f_onlyspecies)


f_onlysex <- cph(SurvObj ~ sexf, data = survi_des_lutz, surv=TRUE)
lrtest(f_redux, f_onlysex)

 genotypef<-factor(genotype)
 tapply(time_death, genotype, mean)
 f_genotype <- cph(SurvObj ~ genotypef, data = survi_des_lutz, surv=TRUE)
  summary(glht(f_genotype, linfct=mcp(genotypef ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: cph(formula = SurvObj ~ genotypef, data = survi_des_lutz, surv = TRUE)

Linear Hypotheses:
                                 Estimate Std. Error z value Pr(>|z|)    
evansi_male - evansi_female == 0  0.02321    0.16636   0.140   0.9990    
long_female - evansi_female == 0 -0.40960    0.15733  -2.603   0.0452 *  
long_male - evansi_female == 0   -1.19017    0.17321  -6.871   <0.001 ***
long_female - evansi_male == 0   -0.43281    0.18041  -2.399   0.0764 .  
long_male - evansi_male == 0     -1.21339    0.19583  -6.196   <0.001 ***
long_male - long_female == 0     -0.78058    0.17838  -4.376   <0.001 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)



#CORRELATIONS HUMIITY PREFERENCE VS. DES RESISTANCE

correlations_hum_res<-read.csv("~/Dropbox/lutzomyia_temperature_pref/correlations_humPref_desRes.csv")
		attach(correlations_hum_res)
		names(correlations_hum_res)
		cor.test(evansi_female_pref, evansi_female_resis)

				data:  evansi_female_pref and evansi_female_resis
				t = -2.885, df = 28, p-value = 0.00745
				alternative hypothesis: true correlation is not equal to 0
				95 percent confidence interval:
				 -0.7155594 -0.1431054
				sample estimates:
				       cor 
				

		cor.test(evansi_male_pref, evansi_male_resis)
		
				 data:  evansi_male_pref and evansi_male_resis
				 t = -2.2505, df = 28, p-value = 0.03246
				 alternative hypothesis: true correlation is not equal to 0
				 95 percent confidence interval:
				  -0.65876138 -0.03621589
				 sample estimates:
				        cor 
				 -0.3913786 
		cor.test(longi_female_pref, longi_female_resis)
				 data:  longi_female_pref and longi_female_resis
				 t = -2.505, df = 28, p-value = 0.01834
				 alternative hypothesis: true correlation is not equal to 0
				 95 percent confidence interval:
				  -0.68287593 -0.07992188
				 sample estimates:
				        cor 
				 -0.4278712
		cor.test(longi_male_pref, longi_male_resis)

				 data:  longi_male_pref and longi_male_resis
				 t = -2.1227, df = 28, p-value = 0.04275
				 alternative hypothesis: true correlation is not equal to 0
				 95 percent confidence interval:
				  -0.64594484 -0.01391719
				 sample estimates:
				        cor 
				 -0.3723196 

wilcox.test(b1$t,b2$t)

	Wilcoxon rank sum test with continuity correction

data:  b1$t and b2$t
W = 353615, p-value < 2.2e-16
alternative hypothesis: true location shift is not equal to 0

> wilcox.test(b1$t,b3$t)

	Wilcoxon rank sum test with continuity correction

data:  b1$t and b3$t
W = 415513, p-value = 6.043e-11
alternative hypothesis: true location shift is not equal to 0

> wilcox.test(b1$t,b4$t)

	Wilcoxon rank sum test with continuity correction

data:  b1$t and b4$t
W = 328246, p-value < 2.2e-16
alternative hypothesis: true location shift is not equal to 0

> wilcox.test(b2$t,b3$t)

	Wilcoxon rank sum test with continuity correction

data:  b2$t and b3$t
W = 570769, p-value = 4.245e-08
alternative hypothesis: true location shift is not equal to 0

> wilcox.test(b2$t,b4$t)

	Wilcoxon rank sum test with continuity correction

data:  b2$t and b4$t
W = 471100, p-value = 0.02522
alternative hypothesis: true location shift is not equal to 0
> wilcox.test(b3$t,b4$t)

	Wilcoxon rank sum test with continuity correction

data:  b3$t and b4$t
W = 398769, p-value = 4.53e-15
alternative hypothesis: true location shift is not equal to 0



size_lutz_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/sandflies_size_thorax.csv")
attach(size_lutz_dataframe)
names(size_lutz_dataframe)

speciesf<-factor(species)
sexf<-factor(sex)
thorax.length_lm_full<-(lm(thorax.length~sexf*speciesf))

anova(thorax.length_lm_full)

Analysis of Variance Table

Response: thorax.length
              Df     Sum Sq    Mean Sq F value    Pr(>F)    
sexf           1 0.00025479 2.5479e-04 30.7826 4.030e-07 ***
speciesf       1 0.00020233 2.0233e-04 24.4446 4.455e-06 ***
sexf:speciesf  1 0.00001331 1.3312e-05  1.6083    0.2086    
Residuals     76 0.00062906 8.2770e-06                      
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1



summary(glht(thorax.length_lm_full, linfct=mcp(speciesf ="Tukey")))



#FIGURES

#FIGURE1


enviro_cond_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/enviromental_conditions_24h.csv")
						attach(enviro_cond_dataframe)
						names(enviro_cond_dataframe)
						
par(mfrow=c(2,2))

coloso_enviro<-subset(enviro_cond_dataframe, town =="coloso")

with(subset(coloso_enviro, sandflies =="yes"), plot(coloso_enviro $temperature ~ coloso_enviro $time, pch=1, ylim=c(22,40)))
with(subset(coloso_enviro, sandflies =="no"), points(coloso_enviro $temperature ~ coloso_enviro $time, pch=2))

with(subset(coloso_enviro, sandflies =="yes"), plot(coloso_enviro $humidity ~ coloso_enviro $time, pch=1), ylim=c(70,100))
with(subset(coloso_enviro, sandflies =="no"), points(coloso_enviro $humidity ~ coloso_enviro $time, pch=2))


ricaurte_enviro<-subset(enviro_cond_dataframe, town =="ricaurte")
plot(ricaurte_enviro $temperature ~ ricaurte_enviro $time,  main="C", ylim=c(22,40))
plot(ricaurte_enviro $humidity ~ ricaurte_enviro $time, main="D", ylim=c(70,100))


#FIGURE 2

par(mfrow=c(1,2))

 interspecific_lutz_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/lutz_interspecific.csv")
 							attach(interspecific_lutz_dataframe)
 							names(interspecific_lutz_dataframe)

							vioplot(interspecific_lutz_dataframe$preference~ interspecific_lutz_dataframe $genotype, ylim=c(22,35), main="A")
							
tetracycline_lutz_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/lutz_tetracycline.csv")
							attach(tetracycline_lutz_dataframe)
							names(tetracycline_lutz_dataframe)

							vioplot(tetracycline_lutz_dataframe $temp~ tetracycline_lutz_dataframe $tetra, ylim=c(22,35), main="B")

							
#FIGURE 3

humidity_pref_data<-read.csv("~/Dropbox/lutzomyia_temperature_pref/humidity_pref_data.csv")
							attach(humidity_pref_data)
							names(humidity_pref_data)
							vioplot(humidity~genotype,  cex.main=3, las=2)				
							
							
#FIGURE 4
#TO be made. Survival plot 
survi_des_lutz<-read.csv("~/Dropbox/lutzomyia_temperature_pref/dessication_experiments_lutz.csv")
names(survi_des_lutz)
attach(survi_des_lutz)
survi_des_lutz$SurvObj     <- with(survi_des_lutz, Surv(time_death, dead_alive == 0))
speciesf<-factor(species)
sexf<-factor(sex)


#FIGURE 5
correlations_hum_res<-read.csv("~/Dropbox/lutzomyia_temperature_pref/correlations_humPref_desRes.csv")
		attach(correlations_hum_res)
		names(correlations_hum_res)
		cor.test(evansi_female_pref, evansi_female_resis)


par(mfrow=c(2,2))
b1 <- boot(correlations_hum_res, 
  statistic = function(correlations_hum_res, i) {
    cor(correlations_hum_res[i, "evansi_female_pref"], correlations_hum_res[i, "evansi_female_resis"], method='pearson')
  },
  R = 1000)
hist(b1$t, main="A. Pi. evansi \n females", xlim=c(-1,1))
abline(v=mean(b1$t, na.rm=TRUE, lwd=2, lty=3))

b2 <- boot(correlations_hum_res, 
  statistic = function(correlations_hum_res, i) {
    cor(correlations_hum_res[i, "evansi_male_pref"], correlations_hum_res[i, "evansi_male_resis"], method='pearson')
  },
  R = 1000)
hist(b2$t, main="B. Pi. evansi \n males", xlim=c(-1,1))
abline(v=mean(b2$t, na.rm=TRUE, lwd=2, lty=3))

b3 <- boot(correlations_hum_res, 
  statistic = function(correlations_hum_res, i) {
    cor(correlations_hum_res[i, "longi_female_pref"], correlations_hum_res[i, "longi_female_resis"], method='pearson')
  },
  R = 1000)
hist(b3$t, main="C. Lu. longipalpis \n females", xlim=c(-1,1))
abline(v=mean(b3$t, na.rm=TRUE, lwd=2, lty=3))

b4 <- boot(correlations_hum_res, 
  statistic = function(correlations_hum_res, i) {
    cor(correlations_hum_res[i, "longi_male_pref"], correlations_hum_res[i, "longi_male_resis"], method='pearson')
  },
  R = 1000)
hist(b4$t, main="C. Lu. longipalpis \n males", xlim=c(-1,1))
abline(v=mean(b4$t, na.rm=TRUE, lwd=2, lty=3))
			
FIGURE S1B

pdf(file="FigureS1c_sandfly.pdf", height=3, width=3)

			compartment_dataframe<-read.csv("~/Dropbox/lutzomyia_temperature_pref/compartment_data_calibration.csv")
					attach(compartment_dataframe)
					names(compartment_dataframe)

plot(temperature~time, ylab="Temperature (ºC)", xlab="Seconds")

dev.off()
> b3 <- boot(correlations_hum_res, 
+   statistic = function(correlations_hum_res, i) {
+     cor(correlations_hum_res[i, "longi_male_pref"], correlations_hum_res[i, "longi_male_resis"], method='pearson')
+   },
+   R = 1000
+ )
> b3